snmp_get_quick_print
snmp_read_mib
SNMP Functions
PHP Manual

# snmp_get_valueretrieval

Return the method how the SNMP values will be returned

### Description

int snmp_get_valueretrieval ( void )

### Return Values

OR-ed combitantion of constants ( `SNMP_VALUE_LIBRARY` or `SNMP_VALUE_PLAIN` ) with possible SNMP_VALUE_OBJECT set.

### Examples

Example #1 Using snmp_get_valueretrieval

`<?php
$ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
if (snmp_get_valueretrieval() & SNMP_VALUE_OBJECT) {
echo $ret->value;
} else {
echo $ret;
}
?>`

### See Also

- snmp_set_valueretrieval
- Predefined Constants